%define licor_version 1
%define licor_release 6

Summary:	LI-COR release files
Name:		licor-release
Version:	%{licor_version}
Release:	%{licor_release}
License:	GPLv2
Vendor:		LI-COR Biosciences
Group:		System Environment/Base
URL:		http://opensource.licor.com
Source:		%{name}-%{version}.tar.gz
Obsoletes:	licor-release
Provides:	licor-release
BuildArch:	noarch

%description 
LI-COR Biosciences release files such as yum configs and various /etc/
files that define the release.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc

install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg

install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
ln -s RPM-GPG-KEY-licor-%{licor_version}-fedora-primary RPM-GPG-KEY-licor
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
install -m 644 licor.repo $RPM_BUILD_ROOT/etc/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL 
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

%changelog
* Thu Feb 18 2010 Kevin Ediger <kevin.ediger@licor.com>
- Initial release packaging
